| Airoha M0 BLE API 1.0.5.4

Data Fields
ble_gatt_evt_t Struct Reference
ble_gatt_client.h

GATT event structure. More...

## Data Fields
union {
ble_gatt_evt_err_rsponse_t err_response
| parameter of gatt event BLE_GATT_EVT_GET_ERROR_RESPONSE_FROM_SERVER
ble_gatt_evt_mtu_exchange_t mtu_exchanged
| parameter of gatt event BLE_GATT_EVT_MTU_EXCHANGED
ble_gatt_evt_prim_service_discovered_t prim_service_discovered
| parameter of gatt event BLE_GATT_EVT_PRIM_SERVICE_DISCOVERED
ble_gatt_evt_uuid_service_discovered_t uuid_service_discovered
| parameter of gatt event BLE_GATT_EVT_UUID_SERVICE_DISCOVERED
ble_gatt_evt_included_service_found_t included_service_found
| parameter of gatt event BLE_GATT_EVT_INCLUDED_SERVICE_FOUND
ble_gatt_evt_service_char_discovered_t service_char_discovered
| parameter of gatt event BLE_GATT_EVT_SERVICE_CHAR_DISCOVERED
ble_gatt_evt_uuid_char_discovered_t uuid_char_discovered
| parameter of gatt event BLE_GATT_EVT_UUID_CHAR_DISCOVERED
ble_gatt_evt_char_descrip_discovered_t char_descrip_discovered
| parameter of gatt event BLE_GATT_EVT_CHAR_DESCRIP_DISCOVERED
ble_gatt_evt_char_value_read_t char_value_read
| parameter of gatt event BLE_GATT_EVT_CHAR_VALUE_READ
ble_gatt_evt_uuid_char_read_t uuid_char_read
| parameter of gatt event BLE_GATT_EVT_UUID_CHAR_READ
ble_gatt_evt_long_char_read_t long_char_read
| parameter of gatt event BLE_GATT_EVT_LONG_CHAR_READ
ble_gatt_evt_multi_char_read_t multi_char_read
| parameter of gatt event BLE_GATT_EVT_MULTI_CHAR_READ
ble_gatt_evt_char_value_written_t char_value_written
| parameter of gatt event BLE_GATT_EVT_CHAR_VALUE_WRITTEN
ble_gatt_evt_long_char_written_t long_char_written
| parameter of gatt event BLE_GATT_EVT_LONG_CHAR_WRITTEN
ble_gatt_evt_reliable_write_finished_t reliable_write_finished
| parameter of gatt event BLE_GATT_EVT_RELIABLE_WRITE_FINISHED
ble_gatt_evt_char_descrip_read_t char_descrip_read
| parameter of gatt event BLE_GATT_EVT_CHAR_DESCRIP_READ
ble_gatt_evt_long_descrip_read_t long_descrip_read
| parameter of gatt event BLE_GATT_EVT_LONG_DESCRIP_READ
ble_gatt_evt_char_descrip_written_t char_descrip_written
| parameter of gatt event BLE_GATT_EVT_CHAR_DESCRIP_WRITTEN
ble_gatt_evt_long_descrip_written_t long_descrip_written
| parameter of gatt event BLE_GATT_EVT_LONG_DESCRIP_WRITTEN
ble_gatt_evt_handle_value_reported_t handle_value_reported
| parameter of gatt event BLE_GATT_EVT_HANDLE_VALUE_REPORTED
} | gatt
| Event Parameters.

## Detailed Description

GATT event structure.